<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="css/stylemin.css">
  <link rel="stylesheet" href="css/color.css">
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

  <title> Pizza 365 v0.5</title>
</head>

<body style="background-color: blanchedalmond;" onload="onPageLoading()">
  <!-- Menu -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">HOME</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#combo">SIZE COMBOS</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#type">PIZZA TYPES</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#contact">FORM CONTACT</a>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 70px 0px 50px 0px">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1><b style="color: goldenrod;" class="text-main">Pizza 365</b></h1>
            <p style="font-style: italic" class="text-second">Truly italian!</p>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/anh_mon_1.jpg" alt="First slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_2.jpg" alt="Second slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_3.jpg" alt="Third slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_4.jpg" alt="Fourth slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_5.jpg" alt="Fifth slide" />
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title ưu điểm của Quán -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content ưu điểm của Quán -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-3 bg-brand-01 text-white border">
                <h3 class="p-2">Không ngừng cải tiến</h3>
                <p class="p-2">Cải tiến sản phẩm, chất lượng và trải nghiệm khách hàng luôn là yếu tố tiên quyết trong
                  chiến lược kinh doanh của chúng tôi nhằm thúc đẩy tăng trưởng và trở thành thương hiệu pizza hàng đầu.
                </p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-02 text-white border">
                <h3 class="p-2">Trải nghiệm dễ dàng</h3>
                <p class="p-2">Chúng tôi đơn giản hướng đến việc trở thành thương hiệu của mọi nhà, mọi lúc, mọi nơi.
                </p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-03 text-white border">
                <h3 class="p-2">Hướng đến sự vượt trội</h3>
                <p class="p-2">"Vượt trội" không chỉ là một khái niệm lớn. Thay vào đó, giá trị này là cốt lõi trong mỗi
                  con người của chúng tôi, trong mỗi công việc mà họ làm.</p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-04 text-white border">
                <h3 class="p-2">Thể hiện đam mê</h3>
                <p class="p-2">Chúng tôi sẵn lòng hỗ trợ vô điều kiện và linh động điều chỉnh tùy theo thử thách để tìm
                  ra giải pháp.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="combo" class="row">
          <!-- Title Size Combos -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn combo phù hợp với bạn</span></p>
          </div>
          <!-- Content các Size Combos -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3>S ( Small size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 20 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>2</b></li>
                      <li class="list-group-item">Salad <b>200 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>2</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>150,000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn-green" id="btn-size-small" data-is-selected="N" onclick="onBtnSizeSmallClick()">
                      Chọn
                    </button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3>M (Medium size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 25 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>4</b></li>
                      <li class="list-group-item">Salad <b> 300 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>3</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>200,000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn-green" id="btn-size-medium" data-is-selected="N"
                      onclick="onBtnSizeMediumClick()"> Chọn </button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3>L ( Large size )</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 30 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>8</b></li>
                      <li class="list-group-item">Salad <b> 500 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>4</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>250,000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn-green" id="btn-size-large" data-is-selected="N" onclick="onBtnSizeLargeClick()">
                      Chọn </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="type" class="row">
          <!-- Title Pizza Type -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại pizza</b></h2>
          </div>

          <!-- Content Pizza Type -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_hawai.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3>Pizza Hawai</h3>
                    <p>Món ăn thanh đạm</p>
                    <p>
                      Hãy thưởng thức món ăn với phong cách Alo Ha đến từ
                      Hawai.
                    </p>
                    <p>
                      <button class="btn-green" id="btn-type-hawai" data-is-selected="N"
                        onclick="onBtnTypeHawaiClick()"> Chọn </button>
                    </p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_hai_san.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3>Pizza Hải sản</h3>
                    <p>Món ăn đến từ biển</p>
                    <p>
                      Bạn đã thử pizza được chế biến từ nguyên liệu hải sản chưa ?
                    </p>
                    <p>
                      <button class="btn-green" id="btn-type-hai-san" data-is-selected="N"
                        onclick="onBtnTypeHaiSanClick()"> Chọn </button>
                    </p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_thit_nuong.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3>Pizza Bacon</h3>
                    <p>Món ăn đăc biệt</p>
                    <p>
                      Được chế biến từ thịt bacon. Mang đến hương vị mới lạ.
                    </p>
                    <p>
                      <button class="btn-green" id="btn-type-bacon" data-is-selected="N"
                        onclick="onBtnTypeBaconClick()"> Chọn </button>
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="div-drink-select">
          <label for="select-drink">Hãy chọn đồ uống bạn yêu thích</label>
          <select name="drink-select" id="select-drink">
            <option value="0">Chọn đồ uống</option>
          </select>
        </div>

        <div id="contact" class="row">
          <!-- Title Form Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
          </div>

          <!-- Content Form Contact Us -->
          <div class="col-sm-12 p-2 jumbotron">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="input-name">Họ và tên</label>
                  <input type="text" class="form-control" id="input-name" placeholder="Họ và tên" />
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="input-email" placeholder="Email" />
                </div>
                <div class="form-group">
                  <label for="input-phone">Điện thoại</label>
                  <input type="text" class="form-control" id="input-phone" placeholder="Điện thoại" />
                </div>
                <div class="form-group">
                  <label for="input-address">Địa chỉ</label>
                  <input type="text" class="form-control" id="input-address" placeholder="Địa chỉ" />
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="input-message" placeholder="Lời nhắn" />
                </div>
                <div class="form-group">
                  <label for="inp-voucher">Mã giảm giá ( Voucher ID)</label>
                  <input type="text" class="form-control" id="input-voucher" placeholder="Mã voucher..." />
                </div>
                <button type="button" class="btn-green" onclick="onBtnKiemTraDonClick()"> Kiểm tra đơn </button>
              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <div id="div-container-order" class="container bg-info p-2 jumbotron" style="display: none">
            <div id="div-order-infor" class="text-white p-3">thông tin đơn hàng vào đây</div>
            <div class="p-2">
              <button type="button" class="btn-yellow" onclick="onBtnGuiDonClick()"> Gửi đơn </button>
            </div>
          </div>
          <div id="div-thank-you" class="container p-2 jumbotron" style="background-color: yellow; display: none;">
            <h4>Cảm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là: </h4>
            <p id="p-ma-don-hang"></p>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-3">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn bg-main-brand text-white m-3"><i class="fa fa-arrow-up mr-2"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official text-main"></i>
          <i class="fa fa-instagram text-main"></i>
          <i class="fa fa-snapchat text-main"></i>
          <i class="fa fa-pinterest-p text-main "></i>
          <i class="fa fa-twitter text-main"></i>
          <i class="fa fa-linkedin text-main"></i>
        </div>
      </div>
    </div>
  </div>
</body>
<script>
  $(document).ready(function () {
    // Mảng danh sách các mã giảm giá
    var gDiscountVouchers = [
      { voucherID: "10345", percentDiscount: 20 },
      { voucherID: "11346", percentDiscount: 10 },
      { voucherID: "20445", percentDiscount: 5 },
      { voucherID: "21457", percentDiscount: 30 },
      { voucherID: "32154", percentDiscount: 20 },
      { voucherID: "30546", percentDiscount: 25 },
      { voucherID: "41351", percentDiscount: 15 },
      { voucherID: "53360", percentDiscount: 5 },
      { voucherID: "65343", percentDiscount: 30 },
      { voucherID: "78328", percentDiscount: 40 }
    ];

    // Hàm được gọi khi bấm nút chọn kích cỡ
    $(".btn-size").click(function () {
      var comboSize = $(this).data("combo-size");
      changeComboButtonColor(comboSize);
      var menu = getComboSelected(comboSize);
      menu.displayInConsoleLog();
    });

    // Hàm được gọi khi bấm nút chọn loại pizza
    $(".btn-type").click(function () {
      var pizzaType = $(this).data("pizza-type");
      changeTypeButtonColor(pizzaType);
      console.log("Loại pizza đã chọn: " + pizzaType);
    });

    // Hàm được gọi khi click nút Kiểm tra đơn
    $("#btn-kiem-tra-don").click(function () {
      console.log("%c Kiểm tra đơn", "color: orange;");
      var order = getOrder();
      var isValid = checkValidatedForm(order);
      if (isValid) {
        if (order.voucher == null) {
          kiemTraVoucher(order);
        } else {
          kiemTraVoucher(order);
        }
        showOrderInfo(order);
      }
    });

    // Hàm được gọi khi click nút Gửi đơn
    $("#btn-gui-don").click(function () {
      var order = getOrder();
      console.log(order);
      var url = "http://203.171.20.210:8080/devcamp-pizza365/orders";
      $.ajax({
        url: url,
        type: "POST",
        contentType: "application/json;charset=UTF-8",
        data: JSON.stringify(order),
        success: function (response) {
          console.log(response);
          showOrderResult(response);
        },
        error: function (error) {
          console.log(error);
        }
      });
    });

    // Hàm tải danh sách đồ uống
    function loadDrinkList() {
      var url = "http://203.171.20.210:8080/devcamp-pizza365/drinks";
      $.ajax({
        url: url,
        type: "GET",
        success: function (response) {
          var drinkList = JSON.parse(response);
          console.log(drinkList);
          var selectDrink = $("#select-drink");
          $.each(drinkList, function (index, drink) {
            var option = $("<option/>").text(drink.name).val(drink.id);
            selectDrink.append(option);
          });
        },
        error: function (error) {
          console.log(error);
        }
      });
    }

    // Hàm thay đổi màu nút kích cỡ combo đã chọn
    function changeComboButtonColor(comboSize) {
      $(".btn-size").removeClass("selected");
      $(".btn-size[data-combo-size='" + comboSize + "']").addClass("selected");
    }

    // Hàm lấy thông tin combo đã chọn
    function getComboSelected(comboSize) {
      var combo = {};
      combo.size = comboSize;
      combo.type = $(".btn-type.selected").data("pizza-type");
      combo.drink = $("#select-drink").val();
      return combo;
    }

    // Hàm thay đổi màu nút loại pizza đã chọn
    function changeTypeButtonColor(pizzaType) {
      $(".btn-type").removeClass("selected");
      $(".btn-type[data-pizza-type='" + pizzaType + "']").addClass("selected");
    }

    // Hàm kiểm tra voucher
    function kiemTraVoucher(order) {
      var voucherID = order.voucher;
      var validVoucher = false;
      for (var i = 0; i < gDiscountVouchers.length; i++) {
        if (gDiscountVouchers[i].voucherID == voucherID) {
          order.percentDiscount = gDiscountVouchers[i].percentDiscount;
          validVoucher = true;
          break;
        }
      }
      if (!validVoucher) {
        console.log("%c Voucher không hợp lệ!", "color: red;");
      }
    }

    // Hàm kiểm tra form đã nhập đầy đủ thông tin
    function checkValidatedForm(order) {
      if (!order.size || !order.type || !order.drink) {
        console.log("%c Vui lòng chọn đầy đủ thông tin!", "color: red;");
        return false;
      }
      return true;
    }

    // Hàm lấy thông tin đơn hàng
    function getOrder() {
      var order = {};
      order.size = $(".btn-size.selected").data("combo-size");
      order.type = $(".btn-type.selected").data("pizza-type");
      order.drink = $("#select-drink").val();
      order.voucher = $("#input-voucher").val();
      order.percentDiscount = 0;
      return order;
    }

    // Hàm hiển thị thông tin đơn hàng
    function showOrderInfo(order) {
      console.log("Thông tin đơn hàng:");
      console.log("Kích cỡ combo: " + order.size);
      console.log("Loại pizza: " + order.type);
      console.log("Đồ uống: " + order.drink);
      console.log("Voucher: " + order.voucher);
      console.log("Phần trăm giảm giá: " + order.percentDiscount + "%");
    }

    // Hàm hiển thị kết quả đơn hàng
    function showOrderResult(response) {
      var result = JSON.parse(response);
      console.log("Kết quả đơn hàng:");
      console.log("Mã đơn hàng: " + result.orderID);
      console.log("Tổng tiền: " + result.totalPrice);
      console.log("Thời gian giao hàng: " + result.deliveryTime);
    }

    // Đối tượng menu
    function Menu(size, type, drink) {
      this.size = size;
      this.type = type;
      this.drink = drink;

      this.displayInConsoleLog = function () {
        console.log("Kích cỡ combo: " + this.size);
        console.log("Loại pizza: " + this.type);
        console.log("Đồ uống: " + this.drink);
      };
    }

    // Tải danh sách đồ uống khi trang được tải
    loadDrinkList();
  });
</script>
<style>
  .btn-size,
  .btn-type {
    padding: 10px;
    margin: 5px;
    cursor: pointer;
  }

  .btn-size.selected,
  .btn-type.selected {
    background-color: #009688;
    color: #fff;
  }
</style>

</html>